/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  /*  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.0); /* Black w/ opacity
  padding-top: 60px;
  backdrop-filter: blur(18px);
  -webkit-backdrop-filter: blur(18px);
  border-radius: 25px;
  border: 1px solid rgba(255, 255, 255, 0.4);
  background-color: rgba(51, 51, 51, 0.6);
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2); */
}

/* Modal Content/Box */
.modal-content {
/*  backdrop-filter: blur(18px);
  -webkit-backdrop-filter: blur(18px);
  border-radius: 25px;
  border: 1px solid rgba(255, 255, 255, 0.4);
  background-color: rgba(51, 51, 51, 0.6);
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  background-color: #fefefe;
  margin: 5px auto; /* 15% from the top and centered
  border: 1px solid #888;
  width: 80%; /* Could be more or less, depending on screen size */
  margin-left: auto;
  margin-right: auto;
  margin-top: 160px;
  width: 75%;
  backdrop-filter: blur(18px);
  -webkit-backdrop-filter: blur(18px);
  border-radius: 25px;
  border: 1px solid rgba(255, 255, 255, 0.4);
  background-color: rgba(39, 89, 41, 0.6);
  padding: 20px;
  font-family: monospace;
}

/* The Close Button */
.close {
  /* Position it in the top right corner outside of the modal */
  position: absolute;
  right: 25px;
  top: 0;
  color: #000;
  font-size: 35px;
  font-weight: bold;
}

/* Close button on hover */
.close:hover,
.close:focus {
  color: red;
  cursor: pointer;
}

/* Add Zoom Animation */
.animate {
  -webkit-animation: animatezoom 0.6s;
  animation: animatezoom 0.6s
}

@-webkit-keyframes animatezoom {
  from {-webkit-transform: scale(0)}
  to {-webkit-transform: scale(1)}
}

@keyframes animatezoom {
  from {transform: scale(0)}
  to {transform: scale(1)}
}

input[type=text], input[type=password], select, textarea {
  width: 100%; /* Full width */
  padding: 12px; /* Some padding */
  border: 1px solid #ccc; /* Gray border */
  border-radius: 4px; /* Rounded borders */
  box-sizing: border-box; /* Make sure that padding and width stays in place */
  margin-top: 6px; /* Add a top margin */
  margin-bottom: 16px; /* Bottom margin */
  resize: vertical /* Allow the user to vertically resize the textarea (not horizontally) */
}

.submit, .cancel {
  background-color: #04AA6D;
  margin: 0.3rem;
  color: white;
  padding: 12px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

.submit:hover {
  background-color: #45a049;
}

label {
  color: white;
  font-family: monospace;
}

.cancel {
  float: right;
}
